### Name: scale_size
### Title: scale_size
### Aliases: scale_size ScaleSize scale_area
### Keywords: hplot

### ** Examples
## Not run: 
##D     (p <- qplot(mpg, cyl, data=mtcars, size=cyl))
##D     p + scale_size("cylinders")
##D     p + scale_size("number\nof\ncylinders")
##D     
##D     p + scale_size(to = c(0, 10))
##D     p + scale_size(to = c(1, 2))
##D 
##D     # Map area, instead of width/radius
##D     # Perceptually, this is a little better
##D     p + scale_area()
##D     p + scale_area(to = c(1, 25))
##D     
##D     # Also works with factors, but not a terribly good
##D     # idea, unless your factor is ordered, as in this example
##D     qplot(mpg, cyl, data=mtcars, size=factor(cyl))
##D     
##D     # For lines, you need to tell that you want lines on the legend
##D     (p <- qplot(mpg, cyl, data=mtcars, size=cyl, geom="line"))
##D     p + scale_size(guide="line")
## End(Not run)


