### Name: stat_contour
### Title: stat_contour
### Aliases: stat_contour StatContour
### Keywords: hplot

### ** Examples
## Not run: 
##D     # Generate data
##D     volcano3d <- rename(melt(volcano), c(X1="x", X2="y", value="z"))
##D     v <- ggplot(volcano3d, aes(x=x,y=y,z=z))
##D     v + stat_contour()
##D 
##D     # Add aesthetic mappings
##D     v + stat_contour(aes(size = ..level..))
##D     v + stat_contour(aes(colour = ..level..))
##D 
##D     # Change scale
##D     v + stat_contour(aes(colour = ..level..), size=2) + 
##D       scale_colour_gradient(low="brown", high="white")
##D 
##D     v + stat_contour() + scale_z_continuous(breaks=c(100, 150))
##D     v + stat_contour(size=0.5) + scale_z_continuous(breaks=seq(95, 195, by=2))
##D     v + stat_contour() + scale_z_log10()
##D 
##D     # Set aesthetics to fixed value
##D     v + stat_contour(colour="red")
##D     v + stat_contour(size=2, linetype=4)
##D 
##D     # Try different geoms
##D     v + stat_contour(geom="polygon", aes(fill=..level..))
##D     v + geom_tile(aes(fill=z)) + stat_contour()
##D     
##D     # Use qplot instead
##D     qplot(x, y, z, data=volcano3d, geom="contour")
##D     qplot(x, y, z, data=volcano3d, stat="contour", geom="path")
## End(Not run)


